import java.io.File;
import java.io.IOException;
import java.io.OutputStreamWriter;
import java.io.Writer;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;

import freemarker.template.Configuration;
import freemarker.template.DefaultObjectWrapper;
import freemarker.template.Template;
import freemarker.template.TemplateException;

public class Main {

	public static void main(String[] args) throws IOException, TemplateException {

		/* Create and adjust the configuration */
		Configuration cfg = new Configuration();
		System.out.println(new File("src/tpl").getAbsolutePath());
		cfg.setDirectoryForTemplateLoading(new File("src/tpl"));
		cfg.setObjectWrapper(new DefaultObjectWrapper());
		
		/* Get or create a template */
		Template temp = cfg.getTemplate("listToCSV.ftl");
		
		/* Create a data model */
		Map root = new HashMap();
		List datas = new LinkedList();
		root.put("datas", datas);
		datas.add(new Personn("Ren", "Girault", 37));
		datas.add(new Personn("Nicole", "Loin", 10));
		datas.add(new Personn("JB", "Dece", 19));

		/* Merge data model with template */
		Writer out = new OutputStreamWriter(System.out);
		temp.process(root, out);
		out.flush();
	}
}
